---
name: "Basilicata"
slug: "basilicata"

settings:
  mobile_phone_verification: false
  subscriptions: false

# configuration variables for the server app
server:
  # put the URL of openwisp-radius here
  host: "https://openwisp.nnxx.ninux.org"
  uuid: "915fd5db-8912-48a0-affa-8c79ac815904"
  secret_key: "vvWb7rgYqeAm41q9Vbc0ifO3eaWbaguq"
  timeout: 2 #request timeout period in seconds

# configuration variables for the client
# Path of all the assets should be defined relative to the organization's folder
# in assets directory.
client:
  auto_login: True

  # path of favicon
  favicon: "favicon.png"

  # path of the custom css file or files relative to organization's
  # folder in assets directory.
  css:
    - "index.css"
  js:
    - "index.js"
  languages:
    - text: "english"
      slug: "en"
    - text: "italian"
      slug: "it"
  default_language: "it"
  components:
    header:
      logo:
        url: "ninux-logo.svg" # logo url
        alternate_text: "ninux"
      links:
        - text:
            en: "Sign In"
            it: "Entra"
          url: "/{orgSlug}/login"
          authenticated: false
        - text:
            en: "Sign Up"
            it: "Registrati"
          url: "/{orgSlug}/registration"
          authenticated: false
        - text:
            en: "Change password"
            it: "Cambia password"
          url: "/{orgSlug}/change-password"
          authenticated: true
          methods_excluded:
            - saml
            - social_login

    footer:
      links:
        - text:
            en: "Ninux - Wireless Community Network"
            it: "Ninux - Wireless Community Network"
          url: "https://ninux.org"
          authenticated: false
        - text:
            en: "OpenWISP2"
            it: "OpenWISP2"
          url: "https://openwisp.org/"
          authenticated: false
        - text:
            en: "link-3"
            it: "link-3"
          url: "https://link-3.com"
          authenticated: true
          verified: true
      after_html:
        en: "Copyright"
        it: "Copyright"

    registration_form:
      input_fields:
        phone_number: {}
        username:
          pattern: '[a-zA-Z@.+\-_\d]{1,150}'
        email:
          pattern: '.+@.+\..+'
        password:
          pattern: ".{6,}"
        password_confirm:
          pattern: ".{6,}"
        first_name:
          setting: "disabled"
        last_name:
          setting: "disabled"
        birth_date:
          setting: "disabled"
        location:
          pattern: '[a-zA-Z@.+\-_\d]{1,150}'
          setting: "disabled"
        country:
          pattern: '[a-zA-Z@.+\-_\d\s]{1,150}'
        zipcode: {}
        street: {}
        city: {}
        tax_number:
          pattern: '[a-zA-Z@.+\-_\d]{1,150}'
      additional_info_text: true
      links:
        login: true

    password_reset_form:
      additional_text: true
      input_fields:
        email:
          pattern: '.+@.+\..+'
      contact_text: true
      login_page_link: true

    password_reset_confirm_form:
      additional_text: true
      input_fields:
        password:
          pattern: ".{6,}"
        password_confirm:
          pattern: ".{6,}"
      contact_text: true
      login_page_link: true

    contact_page:
      email: "ninux.basilicata@gmail.com"
      # helpdesk: "+39 3495432617"
      social_links:
        - alt:
            en: "twitter"
            it: "twitter"
          icon: "twitter.svg"
          url: "https://twitter.com/ninuxorg"
        - alt:
            en: "facebook"
            it: "facebook"
          icon: "facebook.svg"
          url: "https://www.facebook.com/groups/ninux.basilicata"
        - alt:
            en: "telegram"
            it: "telegram"
          icon: "Telegram_logo.svg"
          url: "https://t.me/ninuxorg"

    status_page:
      links:
        - text:
            en: "Change your password"
            it: "Cambia la password"
          url: "/{orgSlug}/change-password/"
    login_form:
      social_login:
        links: null
      input_fields:
        username:
          type: "email"
          pattern: '.+@.+\..+'
        password:
          pattern: ".{6,}"
        remember_me:
          value: true
      additional_info_text: true
      buttons:
        register: true
      links:
        forget_password: true

    password_change_form:
      input_fields:
        password1:
          pattern: ".{6,}"
        password2:
          pattern: ".{6,}"

    404_page:
      heading: true
      sub_heading: true
      message: true
      homepage_link: true

    captive_portal_login_form:
      method: post
      action: "http://192.168.182.1:3990/login/"
      fields:
        username: auth_user
        password: auth_pass
      macaddr_param_name: macaddr
      additional_fields:
        - name: zone
          value: zone_name
        - name: redirurl
          value: "https://wifi.nnxx.ninux.org/basilicata/status"
        - name: accept
          value: accept

    captive_portal_logout_form:
      method: post
      action: "https://wifi.nnxx.ninux.org/basilicata/logout/"
      fields:
        id: logout_id
      additional_fields: []
      logout_by_session: true
      wait_after: 3000

  privacy_policy:
    en: "privacy-en.md"
    it: "privacy-it.md"
  terms_and_conditions:
    en: "terms-en.md"
    it: "termini-condizioni.md"
